MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030811Open CASCADE[OCCT] OCCT:Data Exchangepublic2019-06-26 10:542019-07-08 12:58
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030811: Data Exchange, RWGltf_CafReader - fix inaccessibility of properties
DescriptionSome methods within RWGltf lacks Standard_EXPORT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030691verifiedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

-  Notes
(0085312)
git (administrator)
2019-06-26 11:27

Branch CR30811 has been created by kgv.

SHA-1: 14cfc2db8b23a107d753ee1a1228859bae09c311


Detailed log of new commits:

Author: kgv
Date: Wed Jun 26 11:26:31 2019 +0300

    0030811: Data Exchange, RWGltf_CafReader - fix inaccessibility of properties
    
    Added missing Standard_EXPORT and getters.
(0085313)
git (administrator)
2019-06-26 11:50

Branch CR30811 has been updated forcibly by kgv.

SHA-1: 3c87050c2048938e57ececbfd39d29a7c3f77616
(0085316)
kgv (developer)
2019-06-26 13:47

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30811-master-KGV [^]
(0085317)
apn (administrator)
2019-06-26 14:37

Combination -
OCCT branch : CR30811
master SHA - 3c87050c2048938e57ececbfd39d29a7c3f77616
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - c08b242c9da615bfdf83ca463321740d4cc22898
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16471.090000000007 / 16513.620000000094 [-0.26%]
Products
Total CPU difference: 10494.620000000063 / 10515.620000000044 [-0.20%]
Windows-64-VC14:
OCCT
Total CPU difference: 17866.390625 / 17822.375 [+0.25%]
Products
Total CPU difference: 12089.515625 / 12126.671875 [-0.31%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085472)
git (administrator)
2019-07-08 12:58

Branch CR30811 has been deleted by inv.

SHA-1: 3c87050c2048938e57ececbfd39d29a7c3f77616

- Related Changesets
occt: master 82c59511
Timestamp: 2019-06-26 08:26:31
Author: kgv
Committer: apn
Details ] Diff ]
0030811: Data Exchange, RWGltf_CafReader - fix inaccessibility of properties

Added missing Standard_EXPORT and getters.
Fixed metadata loss.
mod - src/RWGltf/RWGltf_CafReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.pxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.hxx Diff ] File ]
mod - src/RWMesh/RWMesh_CafReader.cxx Diff ] File ]
mod - src/RWMesh/RWMesh_CafReader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-06-26 10:54 kgv New Issue
2019-06-26 10:54 kgv Assigned To => kgv
2019-06-26 11:27 git Note Added: 0085312
2019-06-26 11:50 git Note Added: 0085313
2019-06-26 11:53 kgv Relationship added child of 0030691
2019-06-26 13:47 kgv Note Added: 0085316
2019-06-26 13:47 kgv Assigned To kgv => bugmaster
2019-06-26 13:47 kgv Severity minor => trivial
2019-06-26 13:47 kgv Status new => resolved
2019-06-26 13:47 kgv Status resolved => reviewed
2019-06-26 14:37 apn Test case number => Not needed
2019-06-26 14:37 apn Note Added: 0085317
2019-06-26 14:37 apn Status reviewed => tested
2019-07-01 17:28 apn Changeset attached => occt master 82c59511
2019-07-01 17:28 apn Assigned To bugmaster => apn
2019-07-01 17:28 apn Status tested => verified
2019-07-01 17:28 apn Resolution open => fixed
2019-07-08 12:58 git Note Added: 0085472


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker